[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectQueue.Peek

Look at the first object in the queue.

## Declaration

Source position: contnrs.pp line 176

`public function TObjectQueue.Peek: TObject;`

## Function result

The first element in the queue, or Nil if the queue is empty

## Description

Peek returns the first object in the queue, without removing it from the queue. If there are no more objects in the queue, Nil is returned.

## Errors

None

## See also

TObjectQueue.Push |  | Push an object on the queue
TObjectQueue.Pop |  | Pop the first element off the queue

The latest version of this document can be found at lazarus-ccr.sourceforge.net .